View a markdown version of this page

ListGroundStationReservations - AWS Ground Station

ListGroundStationReservations

Returns a list of reservations for a specified ground station.

Request Syntax

GET /groundstation/groundStationId/reservation?endTime=endTime&maxResults=maxResults&nextToken=nextToken&reservationTypes=reservationTypes&startTime=startTime HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

endTime

End time of the reservation window in UTC.

Required: Yes

groundStationId

ID of a ground station.

Length Constraints: Minimum length of 4. Maximum length of 97.

Pattern: [ a-zA-Z0-9-._:=]{4,97}

Required: Yes

maxResults

Maximum number of ground station reservations returned.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

Next token returned in the request of a previous ListGroundStationReservations call. Used to get the next page of results.

Length Constraints: Minimum length of 3. Maximum length of 1000.

Pattern: [A-Za-z0-9-/+_.=]+

reservationTypes

Types of reservations to filter by.

Valid Values: MAINTENANCE | CONTACT

startTime

Start time of the reservation window in UTC.

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "reservationList": [ { "antennaName": "string", "endTime": number, "groundStationId": "string", "reservationDetails": { ... }, "reservationType": "string", "startTime": number } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

Next token to be used in a subsequent ListGroundStationReservations call to retrieve the next page of results.

Type: String

Length Constraints: Minimum length of 3. Maximum length of 1000.

Pattern: [A-Za-z0-9-/+_.=]+

reservationList

List of ground station reservations.

Type: Array of GroundStationReservationListItem objects

Array Members: Minimum number of 0 items. Maximum number of 100 items.

Errors

For information about the errors that are common to all actions, see Common Error Types.

DependencyException

Dependency encountered an error.

parameterName

Name of the parameter that caused the exception.

HTTP Status Code: 531

InvalidParameterException

One or more parameters are not valid.

parameterName

Name of the invalid parameter.

HTTP Status Code: 431

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: